Subject: Re: myth of the great transition (was US Defense Department forma lly adopts IPv6)

From: "John Loughney" <[email-masked]>
Date: Fri, 20 Jun 2003 08:53:04 +0000

Eric,

With due respects, there is a flaw in your thinking. Many ISPs give users NATed adresses, without users really knowing or understanding what they are.  When the users try applications or serves which fail because of the non-transparency, the users may not know the cause of the failures.
I had some VPN software that fails due to NATs in hotels, for example. Support people told me that the hotel used NATs for security - I sent a log showing all of the probes my macine had from inside the network.
My main point is that users & providers are often confused about NATs.
John 

> What applications that people want to run--and the IT managers would
> want to enable--are actually inhibited by NAT? It seems to me that
> most of the applications inconvenienced by NAT are ones that IT
> managers would want to screen off anyway.

---

From: Keith Moore <[email-masked]>
Date: Thu, 19 Jun 2003 05:54:27 -0400

> With due respects, there is a flaw in your thinking. Many ISPs give users
> NATed adresses, without users really knowing or understanding what they are.

I ordered a static IP from my ISP (so I could run 6to4 :).   The DSL modem
that they sent me speaks PPPoE over ATM to the ISP and DHCP to the host.
Even though I had a static IP address, the modem NATed the address and
assigned an RFC 1918 address over DHCP.  And no, this isn't so it can support
multiple hosts - the modem refuses to talk to more than one Ethernet address.

Fortunately it was possible to configure the DSL modem to disable the NAT
and have the host talk PPPoE directly to the ISP.  But this demonstrates to me
that ISPs will give customers NATted service even when there's absolutely no
reason to do so.  And my current ISP is one of the larger ones in the US.

---

From: Eric Rescorla <[email-masked]>
Date: 19 Jun 2003 06:55:32 -0700

"John Loughney" <[email-masked]> writes:
> With due respects, there is a flaw in your thinking. Many ISPs give
> users NATed adresses, without users really knowing or understanding
> what they are.  When the users try applications or serves which fail
> because of the non-transparency, the users may not know the cause of
> the failures.
>
> I had some VPN software that fails due to NATs in hotels, for
> example. Support people told me that the hotel used NATs for
> security - I sent a log showing all of the probes my macine had from
> inside the network.
>
Yes, I hear this a lot, but I don't buy it--or, rather, I don't
think it's relevant.

I'm absolutely sure that users don't understand about NATs, however,
they don't need to. All they need to understand is that things
ought to work and that they don't. If there is really a substantial
class of applications that users want to run that NATs disable,
I would expect someone to start advertising Internet service without
NAT as "now you can use application X". 

Look, consumers don't understand how Viagra works, but it didn't
take them long to figure out that it solved a problem they wanted
solved.

-Ekr

-- 
[Eric Rescorla                                   [email-masked]]
                http://www.rtfm.com/